All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Interface AnimationIconInterface

All Superinterfaces:
  com.sas.visuals.IconInterface, com.sas.visuals.PainterInterface, java.io.Serializable

All Known Implementing Classes:
  FireworkIcon, ImageAnimationIcon, MarqueeIcon

    public interface AnimationIconInterface

extends com.sas.visuals.IconInterface

AnimationIconInterface is an interface that allows for incrementing and decrementing an IconInterface object state and to paint the image in that state.

See Also:
  `AnimationIconView`

Method Summary
`void` | `decrement()` Decrement the state of the object.
`void` | `increment()` Increment the state of the object.
`void` | `paintAnimation(java.awt.Component comp, java.awt.Graphics g, int x, int y, int width, int height)` Paint the object using its current state.
`void` | `reset()` Reset the object state to its initial state.

Methods inherited from interface com.sas.visuals.IconInterface
`getPreferredSize`

Methods inherited from interface com.sas.visuals.PainterInterface
`getInsets, paint`

Method Detail

### reset

    void reset()

  Reset the object state to its initial state.

### increment

    void increment()

  Increment the state of the object.

### decrement

    void decrement()

  Decrement the state of the object.

### paintAnimation

    void paintAnimation(java.awt.Component comp,
                        java.awt.Graphics g,
                        int x,
                        int y,
                        int width,
                        int height)

  Paint the object using its current state.

  Parameters:
    `comp` - the java.awt.Component to paint on
    `g` - the graphics context to use for painting
    `x` - the x coordinate
    `y` - the y coordinate
    `width` - the width
    `height` - the height
  See Also:
    `PainterInterface.paint(java.awt.Component, java.awt.Graphics, int, int, int, int)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.